export default class PageService {
    db: any;
    userInfo: any;
    pageModel: any;
    folderModel: any;
    constructor(dbpath: any);
    create(params: any): Promise<any>;
    update(id: any, params: any): Promise<any>;
    list(appId: any): Promise<any>;
    detail(pageId: any): Promise<any>;
    findByRoute(route: any): Promise<any>;
    delete(pageId: any): Promise<any>;
}
